Bug 484987 - Multiple problems with USB flash drives
Multiple problems with USB flash drives
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 18:41 EST by Gerard Fernandes
Modified: 2013-03-05 22:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:53:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerard Fernandes 2009-02-10 18:41:24 EST
Description of problem: Several problems experienced with USB Flash drives:

1. Encrypted volume created via cryptsetup fails to mount in Gnome. Can be mounted if the system is started in run-level 3 from the CLI.
2. If formatted as ext3, Gnome will mount the USB flash device as ROOT - not as the current logged-in user, making the flash-drive unusable by the current user.


Version-Release number of selected component (if applicable): latest up-to-date fedora 10.


How reproducible: Always.


Steps to Reproduce:
1. Encrypted USB drive
----------------------
    a. As root, run "cryptsetup luksFormat /dev/sdb". Enter a pass-phrase.
    b. run "cryptsetup luksOpen /dev/sdb cryptusb".
    c. Test that you can mount this from the CLI:
        c.1. mkdir /media/temp
        c.2. mount /dev/mapper/cryptusb /media/temp
        c.3. Enter the pass-phrase and check that you can access and create files.
        c.4. Unmount the drive and run "cryptsetup luksRemove cryptusb".
    d. Remove the drive and plug it in again. Enter the passphrase when Gnome asks for it.

Notice that Gnome does nothing. The drive is not mounted.

2. Flash drive formatted as ext3 does not mount with user permissions
---------------------------------------------------------------------
    a. As root, run parted on a spare usb flash drive, clear all partitions,
create a single partition spanning the entire drive of type ext2.
    b. Quit parted and run "mkfs.ext3 /dev/sdb1" to create an ext3 partition.
    c. Check that you can mount this partition as root.
    d. remove the drive and plug it in again. Notice that Gnome mounts the drive. Double click on it - note that you can not create any folders/files in it. Run "ls -al /media/disk" and note that permissions are incorrect - the drive is unusable by current logged in user.

If you now reformat the usb-drive as FAT32 using parted, you will notice that Gnome now mounts it with correct permissions and the drive is usable by current logged-in user.
Comment 1 Gerard Fernandes 2009-02-10 18:47:54 EST
NOTE
====
The encrypted drive is formatted with the ext3 file-system by running "mkfs.ext3 /dev/mapper/cryptusb" after step (1).b.

This quite literally limits me to using un-encrypted, fat32 formatted USB flash drives only. I can't create an ext3 file-system (not in a usable manner anyway), nor can I create an ecrypted ext3 file-system on USB flash drives.
Comment 2 john.haxby@oracle.com 2009-07-09 12:15:11 EDT
I don't think this is a bug.  After you've mkfs'd the partition (as root) you need to mount and and change the owner of the root of the new partition.
Comment 3 Gerard Fernandes 2009-07-10 01:45:12 EDT
Well, if it's a permissioning issue, I'd still argue it's a bug and should be integrated via Disk-Utils (or Palimsest or whatever it's called). Doesn't that allow the current user to play around with formatting USB disks mounted by the user?

From my point of view (a user), a USB disk mounted by me is owned by me. The disk in the system I logged on to is owned by the system and should be protected from me running something stupid like rm -rf. But if I choose to do said stupid move on my USB disk, nothing should prevent me from doing that (beyond a gentle reminder perhaps).
Comment 4 Gerard Fernandes 2009-07-10 01:47:04 EDT
Happily, Palimsest (or whatever it's called) now does allow me to create an encrypted USB drive quite easily - as long as its FAT!

So I can have any colour I like as long as it's black.
Comment 5 john.haxby@oracle.com 2009-07-10 04:58:08 EDT
I think you're half right.

If palimpsest is creating a file system on your behalf, then it should probably chown the root of the new file system to you.

On the other hand, owning the drive (whatever that means) is not really anything to do with the file system.   If you have an ext3 file system then files and directories within it have the normal permissions and ownerships.  There isn't a mount option to ignore all the ownerships and permissions -- it's a proper file system!

The bug, if any, is with palimpsest not setting the owner of the new file system (where it makes sense) and not with the mounting of the file system.
Comment 6 Gerard Fernandes 2009-07-11 03:51:42 EDT
Yes, I think you've summarised it accurately. There is a lack of file-system support - as far as encryption support goes - in user-accessible tools like palimsest (or whatever it's called).

It's perfectly reasonable to expect palimsest to allow a user to create an encrypted ext2 file-system on a usb-stick. But it's not possible at the moment. Maybe this bug can be closed in place of a more specific bug filed against palimsest.
Comment 7 Bug Zapper 2009-11-18 06:04:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 02:53:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.